// Sample data (replace this with your actual data)
const temperatureData = {
  Bangalore: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2020 Bangalore',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            3,
            5,
            9,
            16,
            22,
            25,
            30,
            31,
            27,
            20,
            13,
            7, // Temperature data for Bangalore in 2020 in Celsius
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2021 Bangalore',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            2,
            4,
            8,
            15,
            21,
            24,
            29,
            30,
            26,
            19,
            12,
            6, // Temperature data for Bangalore in 2021 in Celsius
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2022 Bangalore',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            4,
            6,
            10,
            17,
            23,
            26,
            31,
            32,
            28,
            21,
            14,
            8, // Temperature data for Bangalore in 2022 in Celsius
          ],
        },
      ],
    },
  },
  Vancouver: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2020 Vancouver',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            2,
            3,
            7,
            15,
            21,
            24,
            29,
            30,
            26,
            19,
            12,
            6, // Temperature data for Vancouver in 2020 in Celsius
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2021 Vancouver',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            1,
            3,
            6,
            14,
            20,
            23,
            28,
            29,
            25,
            18,
            11,
            5, // Temperature data for Vancouver in 2021 in Celsius
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2022 Vancouver',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            3,
            5,
            9,
            16,
            22,
            25,
            30,
            31,
            27,
            20,
            13,
            7, // Temperature data for Vancouver in 2022 in Celsius
          ],
        },
      ],
    },
  },
  SanFrancisco: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2020 San Francisco',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            3,
            5,
            9,
            16,
            19,
            20,
            30,
            35,
            24,
            22,
            10,
            7, // Temperature data for San Francisco in 2020 in Celsius
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2021 San Francisco',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            2,
            4,
            8,
            15,
            20,
            23,
            28,
            32,
            25,
            19,
            11,
            6, // Temperature data for San Francisco in 2021 in Celsius
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Temperature 2022 San Francisco',
          backgroundColor: 'rgba(255, 99, 132, 0.2)',
          borderColor: 'rgba(255, 99, 132, 1)',
          borderWidth: 1,
          data: [
            4,
            7,
            11,
            18,
            21,
            23,
            32,
            35,
            26,
            23,
            14,
            9, // Temperature data for San Francisco in 2022 in Celsius
          ],
        },
      ],
    },
  },
};

const pressureData = {
  Bangalore: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2020 Bangalore',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1010,
            1012,
            1010,
            1008,
            1009,
            1010,
            1011,
            1010,
            1009,
            1010,
            1012,
            1011, // Pressure data for Bangalore in 2020 in hPa
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2021 Bangalore',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1011,
            1013,
            1011,
            1009,
            1010,
            1011,
            1012,
            1011,
            1010,
            1011,
            1013,
            1012, // Pressure data for Bangalore in 2021 in hPa
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2022 Bangalore',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1010,
            1012,
            1010,
            1009,
            1009,
            1010,
            1011,
            1010,
            1009,
            1010,
            1012,
            1011, // Pressure data for Bangalore in 2022 in hPa
          ],
        },
      ],
    },
  },
  Vancouver: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2020 Vancouver',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1008,
            1007,
            1006,
            1005,
            1005,
            1006,
            1007,
            1008,
            1009,
            1009,
            1008,
            1007, // Pressure data for Vancouver in 2020 in hPa
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2021 Vancouver',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1009,
            1008,
            1007,
            1006,
            1006,
            1007,
            1008,
            1008,
            1008,
            1008,
            1007,
            1006, // Pressure data for Vancouver in 2021 in hPa
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2022 Vancouver',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1007,
            1006,
            1006,
            1005,
            1005,
            1006,
            1007,
            1007,
            1007,
            1007,
            1006,
            1006, // Pressure data for Vancouver in 2022 in hPa
          ],
        },
      ],
    },
  },
  SanFrancisco: {
    2020: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2020 San Francisco',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1012,
            1010,
            1011,
            1010,
            1009,
            1008,
            1008,
            1009,
            1010,
            1011,
            1011,
            1012, // Pressure data for San Francisco in 2020 in hPa
          ],
        },
      ],
    },
    2021: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2021 San Francisco',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1011,
            1010,
            1011,
            1010,
            1009,
            1008,
            1008,
            1009,
            1010,
            1010,
            1010,
            1011, // Pressure data for San Francisco in 2021 in hPa
          ],
        },
      ],
    },
    2022: {
      labels: [
        'Jan',
        'Feb',
        'Mar',
        'Apr',
        'May',
        'Jun',
        'Jul',
        'Aug',
        'Sep',
        'Oct',
        'Nov',
        'Dec',
      ],
      datasets: [
        {
          label: 'Pressure 2022 San Francisco',
          backgroundColor: 'rgba(54, 162, 235, 0.2)',
          borderColor: 'rgba(54, 162, 235, 1)',
          borderWidth: 1,
          data: [
            1012,
            1010,
            1011,
            1010,
            1009,
            1008,
            1008,
            1009,
            1010,
            1011,
            1011,
            1012, // Pressure data for San Francisco in 2022 in hPa
          ],
        },
      ],
    },
  },
};

// Function to update charts based on selected city and year
function updateCharts(city, year) {
  // Get temperature and pressure data for the selected city and year
  const temperatureDataset =
    temperatureData[city][year].datasets[0];
  const pressureDataset =
    pressureData[city][year].datasets[0];

  // Update temperature chart
  temperatureChart.data.labels =
    temperatureData[city][year].labels;
  temperatureChart.data.datasets[0].label =
    temperatureDataset.label;
  temperatureChart.data.datasets[0].data =
    temperatureDataset.data;
  temperatureChart.update();

  // Update pressure chart
  pressureChart.data.labels =
    pressureData[city][year].labels;
  pressureChart.data.datasets[0].label =
    pressureDataset.label;
  pressureChart.data.datasets[0].data =
    pressureDataset.data;
  pressureChart.update();
}

// Get references to temperature and pressure canvas elements
const temperatureCanvas = document.getElementById(
  'temperature-chart',
);
const pressureCanvas = document.getElementById(
  'pressure-chart',
);

// Initialize temperature chart
const temperatureChart = new Chart(temperatureCanvas, {
  type: 'line',
  data: temperatureData.Bangalore['2020'],
  options: {
    // Chart options
  },
});

// Initialize pressure chart
const pressureChart = new Chart(pressureCanvas, {
  type: 'line',
  data: pressureData.Bangalore['2020'],
  options: {
    // Chart options
  },
});

// Event listener for city and year selection
document
  .getElementById('city')
  .addEventListener('change', function () {
    const city = this.value;
    const year = document.getElementById('year').value;
    updateCharts(city, year);
  });

document
  .getElementById('year')
  .addEventListener('change', function () {
    const city = document.getElementById('city').value;
    const year = this.value;
    updateCharts(city, year);
  });

// Initial chart update with default city and year
updateCharts('Bangalore', '2020');
